#7343 Please upgrade bodhi-backend01.stg to Fedora 29
Closed: Fixed a year ago Opened a year ago by bowlofeggs.

  • Describe what you need us to do:
    Bodhi is currently running on Fedora 27, which goes EOL in about a month. Let's upgrade staging to Fedora 29! I can upgrade the frontend myself, but I need someone with ACLs to upgrade bodhi-backend01.stg for me. Once we have staging upgraded I will do a little testing and then I'll file a new ticket about production.

  • When do you need this? (YYYY/MM/DD)
    Ideally by 2018-11-07, since this blocks two point five other tasks (testing, possible bug fixing, and production upgrade) that need to be done by F27 EOL.

  • When is this no longer needed or useful? (YYYY/MM/DD)
    If we cancel Bodhi or if Fedora 27 can't be killed and lives on forevermore.

  • If we cannot complete your request, what is the impact?
    Bodhi will be running on an unmaintained operating system, which is spookier than anything else that is happening today.


Metadata Update from @mizdebsk:
- Issue assigned to mizdebsk

a year ago

I've moved bodhi-backend-stg to Fedora 29, fixed NFS route and commented-out deprecated python2-modulemd package. Playbook failed on creating /mnt/koji symlink as staging Koji maintenance is not yet over.

Done - staging Bodhi backend is fully deployed on Fedora 29, except python2-modulemd package.

Metadata Update from @mizdebsk:
- Issue close_status updated to: Fixed
- Issue priority set to: None (was: Waiting on Assignee)
- Issue status updated to: Closed (was: Open)

a year ago

Login to comment on this ticket.

Metadata